
textures/ut4_temple2_beta/junglesky2
{
        skyParms env/jungle/junglesky 512 -


// Fast, good quality (brightness values are tweakable):
//	q3map_sunExt 1 .95 0.9 4000 250 70 2 8
//	q3map_lightmapFilterRadius 0 32
//	q3map_skyLight 80 3
// High quality (final compile):
        q3map_sunExt 1 .95 0.9 3000 45 60 2 16
	q3map_skyLight 125 5
	q3map_lightmapFilterRadius 0 8

        surfaceparm noimpact
        surfaceparm nolightmap
	surfaceparm sky

	nopicmip
	nomipmaps

        qer_editorimage env/jungle/junglesky_up.tga

// See http://www.quake3world.com/ubb/Archives/Archive-000004/HTML/20040311-6-027331.html?
// for a second stage cloud overlay effect.

}


// Custom fire by wily duck. Found some source material for the animations, made fire. Can still get better but this has the best color.
textures/ut4_temple2_beta/fire
{
        qer_editorimage textures/ut4_temple2_beta/tf1/flame1.tga
	qer_nocarve
        qer_trans 0.8

	q3map_lightimage textures/ut4_temple2_beta/tf1/flameback_light.tga
	q3map_surfacelight 10000

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
        surfaceparm trans
	surfaceparm lightfilter

        cull none
	sort 11

	deformVertexes bulge .125 .125 3
	deformVertexes wave 16 sin 0 2 0 4

	{
		animmap 10 textures/ut4_temple2_beta/tf1/flame1.tga textures/ut4_temple2_beta/tf1/flame2.tga textures/ut4_temple2_beta/tf1/flame3.tga textures/ut4_temple2_beta/tf1/flame4.tga textures/ut4_temple2_beta/tf1/flame5.tga textures/ut4_temple2_beta/tf1/flame6.tga textures/ut4_temple2_beta/tf1/flame7.tga textures/ut4_temple2_beta/tf1/flame8.tga 
		tcmod scroll .0125 0
		tcmod scale 1
//                alphaFunc GE128

		blendfunc gl_one_minus_dst_color gl_one_minus_src_alpha
		rgbGen identity
	}
	{
		animmap 10 textures/ut4_temple2_beta/tf1/flame4.tga textures/ut4_temple2_beta/tf1/flame5.tga textures/ut4_temple2_beta/tf1/flame6.tga textures/ut4_temple2_beta/tf1/flame7.tga textures/ut4_temple2_beta/tf1/flame8.tga textures/ut4_temple2_beta/tf1/flame1.tga textures/ut4_temple2_beta/tf1/flame2.tga textures/ut4_temple2_beta/tf1/flame3.tga 
		tcmod scroll -0.0125 0
		tcmod scale 1
//                alphaFunc GE128

		blendfunc gl_dst_color gl_one_minus_src_alpha
		rgbGen identity
	}
}


textures/ut4_temple2_beta/fire2
{
        qer_editorimage textures/ut4_temple2_beta/tf1/flameback_screen.tga
	qer_nocarve
        qer_trans 0.8

	q3map_lightimage textures/ut4_temple2_beta/tf1/flameback_screen.tga
	q3map_surfacelight 10000

	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm nomarks
        surfaceparm trans
	surfaceparm lightfilter

        cull none
	sort 11

	deformVertexes bulge .125 .125 4
	deformVertexes wave 8 triangle 0 .75 0 .5

	{
		map textures/ut4_temple2_beta/tf1/flameback_screen.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scroll 0 2.25
		tcMod turb 0 1 0 0.25
		tcMod scale 0.125 0.125
                alphaFunc GE128
	}
	{
		map textures/ut4_temple2_beta/tf1/flameback_saturation.tga
		blendfunc gl_dst_color gl_src_color
		tcMod turb 0 1 0 1
		tcMod scale 0.125 0.125
		tcMod scroll 0.5 0.9
	}

}



textures/ut4_temple2_beta/waterblocks
{

//	q3map_fancywater 10 0.85 0.8 0.75
        q3map_globaltexture

        surfaceparm nonsolid
        surfaceparm trans
        surfaceparm water
        cull disable
        nomipmaps

        qer_editorimage textures/ut4_temple2_beta/pool3d_5c.tga
	qer_nocarve
        qer_trans 0.8

//        {
//                map textures/ut4_temple2_beta/blocks17i.tga
//                rgbGen identity
//        }
        {
                map textures/ut4_temple2_beta/pool3d_5c.tga
                blendfunc gl_dst_color gl_one
                rgbGen identity
                tcMod scale 1.5 0.5
                tcMod transform 1.5 0 1.5 1 1 2
                tcMod scroll 0.05 1.001
        }
        {
                map textures/ut4_temple2_beta/pool3d_6c.tga
                blendfunc gl_dst_color gl_one
                rgbGen identity
                tcMod scale 1.5 0.5
                tcMod transform 0 1.5 1 1.5 2 1
                tcMod scroll 0.025 1.001
        }
        {
                map textures/ut4_temple2_beta/pool3d_3c.tga
                blendfunc gl_dst_color gl_one
                rgbGen identity
                tcMod scale 1.25 0.5
                tcMod scroll 0.001 1.025
        }
        {
                map $lightmap
                blendfunc filter
                rgbGen identity
                tcGen lightmap
        }
}

textures/ut4_temple2_beta/waterflow
{
//	q3map_fancywater 10 0.85 0.8 0.75
	q3map_globaltexture

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
	qer_nocarve
	cull disable

	qer_editorimage textures/ut4_temple2_beta/pool3d_5c.tga
	qer_nocarve
	qer_trans 0.7

	{
		map textures/ut4_temple2_beta/pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll -0.1 1.3
	}
	{
		map textures/ut4_temple2_beta/pool3d_5c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.1 1.1
	}
	{
		map textures/ut4_temple2_beta/pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0 1.5
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}



textures/ut4_temple2_beta/waterflow2
{
//	q3map_fancywater 10 0.85 0.8 0.75

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_temple2_beta/duck_pool5.tga

//	deformVertexes bulge 1 1 4
//	deformVertexes wave 16 sin 0 2 0 .5

	{
		map textures/ut4_temple2_beta/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll -0.025 -2.0
		alphafunc ge128
	}
	{
		map textures/ut4_temple2_beta/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_temple2_beta/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll 0 -1.9
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
		depthfunc equal
	}
}


// lower sort waterflow2
textures/ut4_temple2_beta/waterflow2a
{
//	q3map_fancywater 10 0.85 0.8 0.75

        surfaceparm alphashadow
        surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water

	cull disable
	sort 6

	qer_nocarve
	qer_trans 0.7
	qer_editorimage textures/ut4_temple2_beta/duck_pool5.tga

	deformVertexes bulge 4 4 .5
// jiggle amount
	deformVertexes wave 16 sin 0 3 0 .5

	{
		map textures/ut4_temple2_beta/duck_pool5.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -2.1
		alphafunc ge128
	}
	{
		map textures/ut4_temple2_beta/duck_pool6.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -2.2
		alphafunc ge128
	}
	{
		map textures/ut4_temple2_beta/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -1.95
		alphafunc ge128
	}
	{
		map textures/ut4_temple2_beta/duck_pool5.tga
		blendfunc filter
		tcMod scroll 0 -2.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}




textures/ut4_temple2_beta/temple_watercaulk
{
qer_trans 0.40
qer_editorimage textures/ut4_temple2_beta/watercaulk.tga
surfaceparm nodraw
surfaceparm nolightmap
surfaceparm nonsolid
surfaceparm trans
surfaceparm nomarks
surfaceparm water
qer_nocarve

}

textures/ut4_temple2_beta/ripple1
{
	q3map_fancywater 10 0.85 0.8 0.75
	q3map_globaltexture

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		qer_nocarve
	        surfaceparm alphashadow
	        surfaceparm lightfilter
		cull disable

		deformVertexes wave 64 sin .5 .5 0 .5

		qer_editorimage textures/ut4_temple2_beta/pool3d_3c.tga
		qer_trans .9

		{
			map textures/ut4_temple2_beta/pool3d_5c.tga
			blendFunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
		{ 
			map textures/ut4_temple2_beta/pool3d_6c.tga
			blendFunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}
		{ 
			map textures/ut4_temple2_beta/pool3d_3c.tga
			blendFunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
		{
			map $lightmap
			blendFunc gl_dst_color gl_zero
			rgbgen identity		
		}

}



textures/ut4_temple2_beta/glass_clear
{
	q3map_fancywater 10 0.85 0.8 0.75

	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm alphashadow
        surfaceparm lightfilter

	qer_editorimage textures/ut4_temple2_beta/window_glare.jpg
	qer_trans 0.5

	{
		map textures/ut4_temple2_beta/window_glare.jpg
		tcGen environment
		blendfunc gl_dst_color gl_src_color
	}
}


textures/ut4_temple2_beta/ladderclip
{
	qer_editorimage textures/ut4_temple2_beta/ladderclip
        qer_trans 0.5
        surfaceparm trans
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
	qer_nocarve
}

textures/ut4_temple2_beta/beam
{
	qer_editorimage textures/ut4_temple2_beta/beam
        qer_trans 0.5
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	qer_nocarve
	q3map_surfacelight 1000
	cull none
	
	{
		map textures/ut4_temple2_beta/beam.tga
                tcMod Scroll .3 0
                blendFunc add
        }
     
}







textures/ut4_temple2_beta/ripple4
{
	q3map_fancywater 10 0.85 0.8 0.75
	q3map_globaltexture

		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water
		surfaceparm nolightmap
		qer_nocarve
	        surfaceparm alphashadow
	        surfaceparm lightfilter
		cull disable

		deformVertexes wave 64 sin .5 .5 0 .5

		qer_editorimage textures/ut4_temple2_beta/pool3d_3c.tga
		qer_trans .9

		{ 
			map textures/ut4_temple2_beta/pool3d_5c.tga
			blendFunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
		{ 
			map textures/ut4_temple2_beta/pool3d_6c.tga
			blendFunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}
		{ 
			map textures/ut4_temple2_beta/duck_pool4.tga
			blendFunc gl_dst_color gl_src_color
			rgbgen identity
			tcmod scale .25 .25
			tcmod scroll .0025 .001
			tcMod turb 0 0.2 0 0.01
		}
		{
			map textures/ut4_temple2_beta/pool3d_3c.tga
			blendFunc gl_dst_color gl_one
			tcmod scale .25 .25
			tcMod scroll 0.001 0.001
			tcMod turb 0 0.1 0 0.01
		}
		{
			map $lightmap
			blendFunc gl_dst_color gl_zero
			rgbgen identity		
		}

}


textures/ut4_temple2_beta/map
{
	qer_editorimage textures/ut4_temple2_beta/temple_map.tga
	cull disable
	surfaceparm alphashadow
	qer_trans 0.8
	surfaceparm trans
        surfaceparm lightfilter
        {
        	map textures/ut4_temple2_beta/temple_map.tga
        	alphaFunc GE128
		blendfunc gl_one gl_zero
		depthWrite
 		rgbGen vertex
        }
        {
		map $lightmap
		rgbGen identity
		blendfunc filter
 		depthFunc equal
	}

}


// The purpose is to have a surface with no cull, and glows light below. I spent a LOT, -LOT- of time
// coming up with this particular shader. See this link for an example, summary:
// 
// 7-29-2005 Reglow - reverse glow shader
// http://gamedev.digitalamusement.com/archive12.shtml


textures/ut4_temple2_beta/temple_ripple2
{
//	q3map_fancywater 10 0.85 0.8 0.75
	q3map_cloneshader textures/ut4_temple2_beta/reglow_assist

	surfaceparm water
	surfaceparm trans
	surfaceparm nonsolid
        surfaceparm lightfilter

	cull none
	sort 11

	deformVertexes wave 16 sin 0 2 0 .2

	qer_editorimage textures/ut4_temple2_beta/pool3d_5c.jpg
	qer_nocarve
	qer_trans 0.3

	{
		map textures/ut4_temple2_beta/duck_pool4.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll -0.006 -0.002
		tcMod turb 1 0.1 0 0.01
	}
	{
		map textures/ut4_temple2_beta/duck_pool4.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scale .75 .75
		tcMod scroll 0.006 -0.0023
		tcMod turb 1 0.1 0 0.01
		tcGen environment
	}
	{
		map textures/ut4_temple2_beta/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.003 -0.006
	}
	{
		map textures/ut4_temple2_beta/duck_pool4.tga
		blendfunc gl_dst_color gl_one
		tcMod scale .75 .75
		tcMod scroll -0.002 -0.005
		tcGen environment
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}

}




textures/ut4_temple2_beta/reglow_assist
{
	qer_nocarve

//	q3map_nofancywater
	q3map_lightimage textures/ut4_temple2_beta/duck_pool4.tga
	q3map_surfacelight 150
	q3map_invert
//	q3map_offset 1
	sort 11

	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	surfaceparm lightfilter

	{
		map textures/ut4_temple2_beta/duck_pool4.tga
		blendfunc gl_dst_color gl_one
		rgbGen identity
		tcMod scroll -0.01 -.2
		tcMod turb 0 0.15 0 0.1
	}
//	{
//		map $lightmap 
//		blendfunc gl_dst_color gl_src_color
//	}
}


textures/ut4_temple2_beta/whitefog
{
        qer_editorimage textures/ut4_temple2_beta/fog.tga
        qer_trans 0.2

        surfaceparm trans
        surfaceparm nonsolid
        surfaceparm fog

        q3map_bouncescale 0

///        fogparms ( .05 .025 .0125 ) 1356
        fogparms ( .05 .025 .0125 ) 892

}


textures/ut4_temple2_beta/nonsolid_glass
{
	q3map_fancywater 10 0.85 0.8 0.75

	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
        surfaceparm alphashadow
        surfaceparm lightfilter

	qer_editorimage textures/ut4_temple2_beta/tinfx.tga
	qer_trans 0.5

	{
		map textures/ut4_temple2_beta/tinfx.tga
		tcGen environment
		blendfunc gl_ONE gl_ONE
	}
}


textures/ut4_temple2_beta/temple_pool
{
	q3map_fancywater 10 0.85 0.8 0.75
	q3map_globaltexture

	surfaceparm nomarks
	surfaceparm trans
	surfaceparm water
        surfaceparm lightfilter
        surfaceparm alphashadow
	cull disable

	deformVertexes wave 64 sin 1 1 1 0.1 

	qer_nocarve
	qer_trans 0.5
	qer_editorimage textures/ut4_temple2_beta/duck_pool3.tga

	{
		map textures/ut4_temple2_beta/duck_pool3.tga
		blendfunc gl_dst_color gl_one
		tcMod turb 0.1 0.5 0 0.01
		tcMod scroll -0.1 0.05
	}
	{
		map textures/liquids/pool2.tga
		blendfunc gl_src_color gl_one
		tcMod scroll -0.2 -0.1
	}
}


textures/ut4_temple2_beta/temple_sandfloor
{
	qer_editorimage textures/ut4_temple2_beta/sanddark.tga
	{
		map textures/ut4_temple2_beta/sanddark.tga
		tcmod scale .25 .25
	}
	{
		map textures/ut4_temple2_beta/pool3d_3c.tga
		blendfunc gl_dst_color gl_one
		tcmod scale 1 1
		tcMod scroll 0.002 0.0041
		tcMod turb 0 0.15 0 0.031
	}
	{
		map textures/ut4_temple2_beta/pool3d_5c.tga
		blendfunc gl_dst_color gl_one
		tcmod scale 1 1
		tcMod scroll 0.003 0.0021
		tcMod turb 0 0.35 0 0.015
	}
	{
		map $lightmap 
		blendfunc filter
	}
}


textures/ut4_temple2_beta/shiny_thing
{
	q3map_fancywater 10 0.85 0.8 0.75

	qer_editorimage textures/ut4_temple2_beta/duck_pool5.tga

	{
		map textures/ut4_temple2_beta/duck_pool5.tga
	}
	{
		map textures/ut4_temple2_beta/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcgen environment
	}
	{
		map $lightmap 
		blendfunc filter
	}
}

textures/ut4_temple2_beta/shiny_thing_water
{
	q3map_cheapwater 10 0.85 0.8 0.75

	qer_editorimage textures/ut4_temple2_beta/duck_pool5.tga

	surfaceparm nomarks
	surfaceparm trans
        surfaceparm lightfilter
	surfaceparm water

	{
		map textures/ut4_temple2_beta/duck_pool5.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.02 0.3
	}
	{
		map textures/ut4_temple2_beta/duck_pool5.tga
		blendfunc gl_dst_color gl_src_color
		tcMod scroll 0.03 0.35
	}
	{
		map $lightmap 
		blendfunc filter
	}
}


textures/ut4_temple2_beta/ceilingtechplain_noclip
{
	qer_editorimage textures/ut4_temple2_beta/ceilingtechplain.jpg

	nomipmaps

	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm playerclip

	{
		map textures/ut4_temple2_beta/ceilingtechplain.jpg
	}
	{
		map $lightmap 
		blendfunc filter
	}
}


textures/ut4_temple2_beta/waterfoam
{
	qer_editorimage textures/ut4_temple2_beta/bubbles_foam.tga

	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nodlight

	polygonoffset
	cull none

//	deformvertexes autosprite
//	deformvertexes move 11 -76 3.4 sawtooth 0 1 0.5 1.25
	deformvertexes move 0 -32 -8 sawtooth 0 1 0.5 1.25
	{
		clampmap textures/ut4_temple2_beta/bubbles_foam.tga
//		tcMod rotate 75.626694
		AlphaGen wave sawtooth 1 -1 0.5 1.25
		rgbGen wave sawtooth 1 -0.3 0.5 1.25
		tcMod stretch sawtooth 1.2 1.1 0.5 1.25
		blendfunc blend
	}
}


textures/ut4_temple2_beta/wood11
{
	qer_editorimage textures/ut4_temple2_beta/wood11.jpg
	nomipmaps

	{
		map textures/ut4_temple2_beta/wood11.jpg
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}



textures/ut4_temple2_beta/wood12
{
	qer_editorimage textures/ut4_temple2_beta/wood12.jpg
	nomipmaps

	{
		map textures/ut4_temple2_beta/wood12.jpg
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_src_color
	}
}


textures/ut4_temple2_beta/wood29
{
	qer_editorimage textures/ut4_temple2_beta/wood29.jpg
	nomipmaps

	{
		map textures/ut4_temple2_beta/wood29.jpg
	}
	{
		map $lightmap 
		blendfunc filter
	}
}


textures/ut4_temple2_beta/woodceiling1a
{
	qer_editorimage textures/ut4_temple2_beta/woodceiling1a.jpg

	{
		map textures/ut4_temple2_beta/woodceiling1a.jpg
		tcmod scale 4 4
	}
	{
		map $lightmap 
		blendfunc filter
	}
}


textures/ut4_temple2_beta/q1metal7
{
	qer_editorimage textures/ut4_temple2_beta/q1metal7.jpg

	{
		map textures/ut4_temple2_beta/q1metal7.jpg
		tcmod scale 4 4
	}
	{
		map $lightmap 
		blendfunc filter
	}
}


textures/ut4_temple2_beta/abbey_grass
{
	qer_editorimage textures/ut4_temple2_beta/abbey_grass.tga
	q3map_bouncescale 0.125
	q3map_cloneshader textures/ut4_temple2_beta/abbey_grass_ground
	q3map_offset 1

	surfaceparm trans
	surfaceparm alphashadow

	{
		map textures/ut4_temple2_beta/abbey_grass.tga
		tcmod scale 1.0625 1.0625
		alphafunc gt0
		blendfunc blend
		depthwrite
	}
	{
		map textures/ut4_temple2_beta/abbey_grass.tga
		tcmod scale 1.125 1.125
		alphafunc gt0
		blendfunc blend
		depthwrite
	}
	{
		map $lightmap 
		blendfunc filter
		depthfunc equal
	}
}


textures/ut4_temple2_beta/abbey_grass_ground
{
	q3map_bouncescale 0.125

	{
		map textures/ut4_temple2_beta/abbey_grass.tga
	}
	{
		map $lightmap 
		blendfunc filter
	}
}